diff mbox

[OSSTEST,8/8] DO NOT APPLY make-flight-diverse-test: test case for diverse-CLASS hostflag

Message ID 1467819074-16310-9-git-send-email-ian.jackson@eu.citrix.com (mailing list archive)
State New, archived
Headers show

Commit Message

Ian Jackson July 6, 2016, 3:31 p.m. UTC
This generates a flight with two jobs, test-1 and test-2.  They can be
run, and are supposed to allocate different hosts, and will bomb out
after host allocation.

Signed-off-by: Ian Jackson <Ian.Jackson@eu.citrix.com>
CC: Wei Liu <wei.liu2@citrix.com>
---
 make-flight-diverse-test | 11 +++++++++++
 1 file changed, 11 insertions(+)
 create mode 100755 make-flight-diverse-test
diff mbox

Patch

diff --git a/make-flight-diverse-test b/make-flight-diverse-test
new file mode 100755
index 0000000..dffd23b
--- /dev/null
+++ b/make-flight-diverse-test
@@ -0,0 +1,11 @@ 
+#!/bin/sh
+set -e
+
+flight=`./cs-flight-create play xen-unstable`
+
+for j in test-1 test-2; do
+    ./cs-job-create $flight $j test-debian \
+        all_hostflags="blessed-adhoc,diverse-d"
+done
+
+echo $flight